Get a knowledge proposal
curl --request GET \
--url https://api.example.com/v2/aether/playbook/proposals/{proposal_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/aether/playbook/proposals/{proposal_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/aether/playbook/proposals/{proposal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/aether/playbook/proposals/{proposal_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/aether/playbook/proposals/{proposal_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v2/aether/playbook/proposals/{proposal_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/aether/playbook/proposals/{proposal_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"action": "archive",
"status": "pending",
"title": "<string>",
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"customer_id": "<string>",
"description": "<string>",
"collection": "cash_application",
"extraction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_type": "declarative",
"review_notes": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"reviewed_by": "<string>",
"segment_id": "<string>",
"source_excerpts": [
{
"text": "<string>",
"memory_id": "<string>",
"page": 123
}
],
"stale": false
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}aether
Get a knowledge proposal
Returns the proposal by ID, or 404 if it does not exist.
GET
/
v2
/
aether
/
playbook
/
proposals
/
{proposal_id}
Get a knowledge proposal
curl --request GET \
--url https://api.example.com/v2/aether/playbook/proposals/{proposal_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/aether/playbook/proposals/{proposal_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/aether/playbook/proposals/{proposal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/aether/playbook/proposals/{proposal_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/aether/playbook/proposals/{proposal_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v2/aether/playbook/proposals/{proposal_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/aether/playbook/proposals/{proposal_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"action": "archive",
"status": "pending",
"title": "<string>",
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"customer_id": "<string>",
"description": "<string>",
"collection": "cash_application",
"extraction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_type": "declarative",
"review_notes": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"reviewed_by": "<string>",
"segment_id": "<string>",
"source_excerpts": [
{
"text": "<string>",
"memory_id": "<string>",
"page": 123
}
],
"stale": false
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}Authorizations
Response
Successful Response
